// shoppingGuid/page/pages/welcomGuider/welcomGuider.js
const wxService = require('../../../../utils/wxService')
const app = getApp();
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    code : null,
    jsCodeSession : {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const currentEnv = wx.getStorageSync('_qyWeChat');
    if (currentEnv) {
      wx.qy.login({
        success: res => {
          console.log('企业微信登录获取code---', res.code);
          this.setData({
            code: res.code
          });

          this.jscode2session(res.code);
        },
        fail: res => {
          console.log('fail -----', res)
        }
      })
    }
    else{
      //不是在企业微信内打开的 提示信息
      wx.showToast({
        title: '请在企业微信内打开!',
        icon: 'none'
      });
    }
    
  },
  //获取session_key
  jscode2session(code){
    wxService.post(`/member/qiyeweixin/jscode2session?brandId=${app.globalData.brandId}&code=${code}`).then(r => {
      console.log('jscode2session ----',r);
      this.setData({
        jsCodeSession : r.data.data,
      });
    })
  },

  //获取企业微信信息
  onTapGetEnterpriseUserInfo(){
  
    const currentEnv = wx.getStorageSync('_qyWeChat');
    if(currentEnv){
      wx.qy.getEnterpriseUserInfo({
        success: res => {
          console.log('获取企业微信信息为----', res)
          this.getGuidUserInfo(res);
        },
        fail: err => {
          console.log('获取企业微信信息失败，失败信息是----', err)
        }
      })
    }
    else{
      //不是在企业微信内打开的 提示信息
      wx.showToast({
        title: '请在企业微信内打开!',
        icon: 'none'
      });
    }
    
  },

  //授权获取用户信息之后
  getGuidUserInfo(userInfo){
    //判断是在企业微信中登录
    let param = {
      code: this.data.code,
      wechatInfo: userInfo,
      brandId: app.globalData.brandId,
      deviceid: this.data.jsCodeSession.deviceid,
      userid: this.data.jsCodeSession.userid,
      corpid: this.data.jsCodeSession.corpid,
      sessionKey: this.data.jsCodeSession.session_key,
    };
    console.log('调用企业微信登录接口参数----------', param)
    wxService.post('/member/qiyeweixin/minaLogin', param).then(r => {
      console.log(r)
      wx.setStorageSync('guidInfo', userInfo);
      let qiyeLoginUserInfo = r.data.data;
      wx.setStorageSync('guidBaseInfo', qiyeLoginUserInfo);

      wx.redirectTo({
        url: '/shoppingGuid/page/pages/home/home',
      });
    })

  },

  //进入商城
  onTapToMall(e){
    wx.redirectTo({
      url: '/pages/userCenter/userCenter',
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

})